#include <stdio.h>
#include <stdlib.h>

#include "ttf.h"

/************************************************************************/

void main(int argc, char *argv[])
{
    ttfHandle *handle;
    char *fn;
    int whichGlyph;
    ttfGlyph *glyph;

    if (argc < 2)
	fn = "cloister.ttf";
    else
	fn = argv[1];

    if (argc < 3)
	whichGlyph = 36;
    else
	whichGlyph = atoi(argv[2]);

    if ((handle = ttfOpen(fn)) == NULL)
	exit(1);

    if ((glyph = ttfReadGlyph(handle, whichGlyph)) == NULL) {
	fprintf(stderr, "readGlyph failed\n");
	exit(1);
    }
    exit(0);
}
